Processor (ASM 5.0.4 Documentation)
Date: 2015-09-18

org.objectweb.asm.xml

## Class Processor

- java.lang.Object
- - org.objectweb.asm.xml.Processor

-     public class Processor
      extends Object

  Processor is a command line tool that can be used for bytecode waving directed by XSL transformation.

  In order to use a concrete XSLT engine, system property `javax.xml.transform.TransformerFactory` must be set to one of the following values.

  > jd.xslt | jd.xml.xslt.trax.TransformerFactoryImpl
  > Saxon | net.sf.saxon.TransformerFactoryImpl
  > Caucho | com.caucho.xsl.Xsl
  > Xalan interpeter | org.apache.xalan.processor.TransformerFactory
  > Xalan xsltc | org.apache.xalan.xsltc.trax.TransformerFactoryImpl

  Author:
    Eugene Kuleshov

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BYTECODE`
    `static int` | `MULTI_XML`
    `static int` | `SINGLE_XML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Processor(int inRepresenation, int outRepresentation, InputStream input, OutputStream output, javax.xml.transform.Source xslt)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `int` | `process()`
    `protected void` | `update(Object arg, int n)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BYTECODE

          public static final int BYTECODE

      See Also:
        Constant Field Values

    - #### MULTI_XML

          public static final int MULTI_XML

      See Also:
        Constant Field Values

    - #### SINGLE_XML

          public static final int SINGLE_XML

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Processor

          public Processor(int inRepresenation,
                   int outRepresentation,
                   InputStream input,
                   OutputStream output,
                   javax.xml.transform.Source xslt)

  - ### Method Detail

    - #### process

          public int process()
                      throws javax.xml.transform.TransformerException,
                             IOException,
                             SAXException

      Throws:
        `javax.xml.transform.TransformerException`
        `IOException`
        `SAXException`

    - #### update

          protected void update(Object arg,
                    int n)

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`